Create V Center V2 Using POST

Create V Center V2 Using POST

Create a vCenter

Request
URI
POST
https://{api_host}//lcm-15-95.eng.vmware.com/lcm/lcops/api/v2/datacenters/{dataCenterVmid}/vcenters
COPY
Path Parameters
string
dataCenterVmid
Required

dataCenterVmid


Request Body
VCenterRequestDTO of type(s) application/json
Optional
{
    "vCenterHost": "string",
    "vCenterName": "string",
    "vcDataCollectionStatus": "string",
    "vcPassword": "string",
    "vcUsedAs": "string",
    "vcUsername": "string"
}
string
vCenterHost
Optional

vCenterHost

string
vCenterName
Optional

vCenterName

string
vcDataCollectionStatus
Optional

vCenter Data Collection Status

string
vcPassword
Optional

vcPassword

string
vcUsedAs
Optional

vcUsedAs

string
vcUsername
Optional

vcUsername

Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns GenericRequestResponse of type(s) application/json
{
    "requestId": "string"
}
string
requestId
Optional

requestId


201

Created

Operation doesn't return any data structure

400

Bad Request

Returns GenericErrorResponseDTO of type(s) application/json
{
    "errorCode": "string",
    "errorLabel": "string",
    "message": "string",
    "recommendations": [
        "string"
    ],
    "status": "string"
}
string
errorCode
Optional

errorCode

string
errorLabel
Optional

errorLabel

string
message
Optional

message

array of string
recommendations
Optional

recommendations

string
status
Optional

status


401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure

404

Not Found

Returns GenericErrorResponseDTO of type(s) application/json
{
    "errorCode": "string",
    "errorLabel": "string",
    "message": "string",
    "recommendations": [
        "string"
    ],
    "status": "string"
}
string
errorCode
Optional

errorCode

string
errorLabel
Optional

errorLabel

string
message
Optional

message

array of string
recommendations
Optional

recommendations

string
status
Optional

status


409

Conflict

Returns GenericErrorResponseDTO of type(s) application/json
{
    "errorCode": "string",
    "errorLabel": "string",
    "message": "string",
    "recommendations": [
        "string"
    ],
    "status": "string"
}
string
errorCode
Optional

errorCode

string
errorLabel
Optional

errorLabel

string
message
Optional

message

array of string
recommendations
Optional

recommendations

string
status
Optional

status


500

Internal Server Error

Returns GenericErrorResponseDTO of type(s) application/json
{
    "errorCode": "string",
    "errorLabel": "string",
    "message": "string",
    "recommendations": [
        "string"
    ],
    "status": "string"
}
string
errorCode
Optional

errorCode

string
errorLabel
Optional

errorLabel

string
message
Optional

message

array of string
recommendations
Optional

recommendations

string
status
Optional

status